Bug 1469492 - [v2v] operation always fail eventually, even in cases VM import was successful.
[v2v] operation always fail eventually, even in cases VM import was successful.
Status: ON_QA
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers (Show other bugs)
5.8.0
Unspecified Unspecified
high Severity high
: GA
: 5.9.0
Assigned To: Shmuel Melamud
Ilanit Stein
rhev:v2v
: TestOnly, ZStream
Depends On:
Blocks: 1479453
  Show dependency treegraph
 
Reported: 2017-07-11 07:53 EDT by Ilanit Stein
Modified: 2017-10-05 22:13 EDT (History)
10 users (show)

See Also:
Fixed In Version: 5.9.0.1
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
: 1479453 (view as bug list)
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: Bug
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: RHEVM


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Github ManageIQ/manageiq-content/pull/149 None None None 2017-08-01 13:20 EDT

  None (edit)
Description Ilanit Stein 2017-07-11 07:53:12 EDT
Description of problem:
The v2v Automate request ends up after ~2 days of retries, with last message:

"[EVM] VM [test_v2v_rhel_7_2_automation_vmware_5GB] Step [WaitForImport] Status [Error in checking for VM Import completion] Message [Checking for VM Import completion]"

Version-Release number of selected component (if applicable):
CFME-5.8.1/RHV-4.1.3

How reproducible:
100%

Steps to Reproduce:
Transform any VM (RHEL/Windows) from VMWare to RHV with/without install drivers checked.
 
Expected results:
Successful imports should be reported in the request status as Finished successfully.
Comment 2 Michal Skrivanek 2017-07-11 15:17:16 EDT
how was this tested for two days when the last fixes only arrived yesterday?
Comment 3 Ilanit Stein 2017-07-12 02:04:53 EDT
Good question!
I forgot to mention this was tested along with using the workaround of having RHV an active ISO domain, containing virtio-win driver.

My test started on July 5, and ended up in July 7.
There are 100 retries, that sum up into 2 days time overall.
Comment 4 Tomas Jelinek 2017-08-07 10:09:12 EDT
patch merged to master: https://github.com/ManageIQ/manageiq-content/pull/149

Note You need to log in before you can comment on or make changes to this bug.